/*
	UART Driver Header File
	
	Rev 1.0
	8/23/02
	Dan Ledger

*/	

// C-specific definitions
// ************************************************
#ifdef __ECC__
float	Setup_UART( float DSP_Frequency, float BAUD );
char	UartRx();
void	UartTx_Word( char word );
void	UartTx_Buffer( char * buf, int size );
void	UartTx_Service( void );
#define	UART_RX_INTERRUPT	13
#define	UART_TX_INTERRUPT	11



// Assembly-specific definitions
// ************************************************
#else

//	UART Receive Buffer Length
#define	UART_RX_BUFFER_LEN	128

//	UART Transmit Buffer Length
#define	UART_TX_BUFFER_LEN	128



// Gobal definitions
// ************************************************
#endif


// Error Codes
#define	NO_ERROR			(0)
#define	RX_BUFFER_OVERFLOW	(1)
#define	TX_BUFFER_OVERFLOW	(3)
#define	TX_BUFFER_UNDERFLOW	(4)
